Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.compiere.report
Class Barbecue

    java.lang.Object
      org.compiere.report.Barbecue

All Implemented Interfaces:
  net.sf.jasperreports.engine.JRRenderable, java.io.Serializable

public class Barbecue
extends java.lang.Object
implements net.sf.jasperreports.engine.JRRenderable

See Also:
  Serialized Form

Field Summary
`private net.sourceforge.barbecue.Barcode` | `m_barcode`

Fields inherited from interface net.sf.jasperreports.engine.JRRenderable
`TYPE_IMAGE, TYPE_SVG`

Constructor Summary
`Barbecue(net.sourceforge.barbecue.Barcode barcode)`

Method Summary
`java.awt.Color` | `getBackcolor()`
`java.awt.geom.Dimension2D` | `getDimension()`
`byte[]` | `getImageData()`
`byte` | `getType()`
`void` | `render(java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_barcode

    private net.sourceforge.barbecue.Barcode m_barcode

Constructor Detail

### Barbecue

    public Barbecue(net.sourceforge.barbecue.Barcode barcode)

Method Detail

### getType

    public byte getType()

  Specified by:
    `getType` in interface `net.sf.jasperreports.engine.JRRenderable`

### getDimension

    public java.awt.geom.Dimension2D getDimension()

  Specified by:
    `getDimension` in interface `net.sf.jasperreports.engine.JRRenderable`

### getBackcolor

    public java.awt.Color getBackcolor()

### render

    public void render(java.awt.Graphics2D grx,
                       java.awt.geom.Rectangle2D rectangle)

  Specified by:
    `render` in interface `net.sf.jasperreports.engine.JRRenderable`

### getImageData

    public byte[] getImageData()
                        throws net.sf.jasperreports.engine.JRException

  Specified by:
    `getImageData` in interface `net.sf.jasperreports.engine.JRRenderable`
  Throws:
    `net.sf.jasperreports.engine.JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD